let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.05";
    rev = "e64df9c5c8ffa0c9a82006e410ad630e32e6063d";
  };
in

{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "f677051b8dc0b5e2a9348941c99eea8c4b0ff28f";
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = "6dd37d2f7af4e8ebf374a78f61559f8ac0efe43a";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "e2f9df093a9c5cead7b0f38ef937bd2f81677716";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.05";
    rev = "4a3d01fb53f52ac83194081272795aa4612c2381";
  };
}
